Is lightcouch 0.1.8 compatible with Couchdb 2.0.0

68 views
Skip to first unread message

Arpit Malhotra

unread,
Dec 30, 2016, 2:46:49 PM12/30/16
to LightCouch
Is lightcouch 0.1.8 compatible with Couchdb 2.0.0 or is it meant for 1.6.x? I did not find documentation on this. Can you advise or point me to the right location

LightCouch

unread,
Dec 31, 2016, 11:25:56 AM12/31/16
to LightCouch
Yes, it's compatible with CouchDB 2.0.0 for the most part, except the bulk_docs API (update) which has undergone changes in 2.0
This is being addressed in an imminent release of LightCouch.

Arpit Malhotra

unread,
Sep 25, 2017, 7:20:11 PM9/25/17
to LightCouch
Hi Ahmed, is there a new version of lightcouch coming up that is compatible with 2.x release ? Right now since the 0.1.8 bulk apis are not compatible with couch 2.0. If not how can we address those bulk APIs ?

LightCouch

unread,
Sep 27, 2017, 1:48:42 PM9/27/17
to LightCouch
Hi Arpit, 

Yes the new version is undergoing a release.

Regards
Message has been deleted

Suvidya Daftardar

unread,
Oct 23, 2017, 1:10:22 PM10/23/17
to LightCouch
Any ETA on when it will be released? We heavily use the bulk update API and need the support in LightCouch to use the newer version of CouchDB.

LightCouch

unread,
Oct 23, 2017, 2:34:20 PM10/23/17
to LightCouch
Hi,

The new release should be available within a couple of days.
Reply all
Reply to author
Forward
0 new messages